Unit AEH5R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, AEE1R_p, AFH5R_p, AFH5R1_p;

procedure AEH5R(N :Integer; NV :Integer; var A :Array of Real;
                var EV :Array of Real; var V :Array of Real;
                var R :Array of Real; var IERR :Integer);

implementation

procedure AEH5R(N :Integer; NV :Integer; var A :Array of Real;
                var EV :Array of Real; var V :Array of Real;
                var R :Array of Real; var IERR :Integer);
var
M :Integer;
begin
AFH5R(N,NV,A,R[0+1*N],R[0+0*N],R[0+2*N]);
AEE1R(N,R,EV,V,R[0+2*N],IERR);
if ( IERR =  0 ) 
 then M := N;
if ( IERR <>  0 ) 
 then M := IERR - 1;
AFH5R1(N,N,NV,A,M,V);
end;

end.
